services:
  couchdb:
    image: couchdb:3.5.1
    container_name: ${CONTAINER_NAME}
    environment:
      - COUCHDB_USER=${OBSIDIAN_LIVESYNC_USER} 
      - COUCHDB_PASSWORD=${OBSIDIAN_LIVESYNC_USER_PASSWORD}
    volumes:
      - ./data:/opt/couchdb/data
      - ./conf/local.ini:/opt/couchdb/etc/local.ini
    ports:
      - ${PANEL_APP_PORT_HTTP}:5984
    restart: unless-stopped
    networks:
      - opsmind-network
    labels:  
      createdBy: "Apps" 
networks:  
  opsmind-network:  
    external: true